--- title: "addTarget" slug: "networking-vloadbalancer-targetgroup-addtarget" updated: 2026-09-17T10:12:30Z published: 2026-09-17T10:12:30Z canonical: "api.ncloud-docs.com/networking-vloadbalancer-targetgroup-addtarget" --- > ## Documentation Index > Fetch the complete documentation index at: https://api.ncloud-docs.com/llms.txt > Use this file to discover all available pages before exploring further. # addTarget Available in VPC Add a target that will be applied to a target group. The list of newly specified target numbers is added to the list of previously applied targets, and you can't add targets that are already bound. ## Request The following describes the request format for the endpoint. The request format is as follows: | Method | URI | | --- | --- | | GET | /vloadbalancer/v2/addTarget | ### Request headers For information about the headers common to all Load Balancer APIs, see [Load Balancer request headers](/docs/en/networking-vloadbalancer#%EC%9A%94%EC%B2%AD%ED%97%A4%EB%8D%94). ### Request query parameters You can use the following query parameters with your request: | Field | Type | Required | Description | | --- | --- | --- | --- | | `regionCode` | String | Optional | Region code for the target group you want to add a target to - First Region of the getRegionList search result (default) - See [getRegionList](/docs/en/compute-vserver-server-common-getregionlist) | | `targetGroupNo` | String | Required | Target group number - See [getTargetGroupList](/docs/en/networking-vloadbalancer-targetgroup-gettargetgrouplist) | | `targetNoList.N` | List[String] | Required | Target number list - `targetNo` can be obtained through `targetTypeCode` - targetNoList.1=1234&targetNoList.2=2345 | | `responseFormatType` | String | Optional | Response result format - `xml` (default) \| `json` | ### Request example The following is a sample request. ``` curl --location 'https://ncloud.apigw.ntruss.com/vloadbalancer/v2/addTarget?regionCode=KR&targetGroupNo=*******&targetNoList.1=********' \ --header 'x-ncp-apigw-timestamp: {Timestamp}' \ --header 'x-ncp-iam-access-key: {Access Key}' \ --header 'x-ncp-apigw-signature-v2: {API Gateway Signature}' ``` ## Response The following describes the response format. ### Response body See [TargetList](/docs/en/common-vapidatatype-targetlist) for the response body. ### Response status codes For information about the HTTP status codes common to all Load Balancer APIs, see [Load Balancer response status codes](/docs/en/networking-vloadbalancer#%EC%9D%91%EB%8B%B5%EC%83%81%ED%83%9C%EC%BD%94%EB%93%9C). ### Response example The following is a sample response. List of targets bound to the corresponding target group after executing the request ``` 0e2ff33d-5a40-4a69-af68-b44b0384ba33 0 success 1 ******** YOUR_TARGET ***.***.*.* UNUSED unused Target ```